# Interface VectorStorageIntegral3Type

All Superinterfaces:
  `VectorReadable2LType, VectorReadable3LType, VectorStorageIntegral2Type, VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedIntegral3Type<T>, PVectorByteBufferedIntegral4Type<T>, PVectorStorageIntegral3Type<T>, PVectorStorageIntegral4Type<T>, VectorByteBufferedIntegral3Type, VectorByteBufferedIntegral4Type, VectorStorageIntegral4Type`

All Known Implementing Classes:
  `PVectorByteBufferedIntegral3s16, PVectorByteBufferedIntegral3s32, PVectorByteBufferedIntegral3s64, PVectorByteBufferedIntegral3s8, PVectorByteBufferedIntegral4s16, PVectorByteBufferedIntegral4s32, PVectorByteBufferedIntegral4s64, PVectorByteBufferedIntegral4s8, PVectorMutable3L, PVectorMutable4L, VectorByteBufferedIntegral3s16, VectorByteBufferedIntegral3s32, VectorByteBufferedIntegral3s64, VectorByteBufferedIntegral3s8, VectorByteBufferedIntegral4s16, VectorByteBufferedIntegral4s32, VectorByteBufferedIntegral4s64, VectorByteBufferedIntegral4s8, VectorMutable3L, VectorMutable4L`

public interface VectorStorageIntegral3Type extends VectorReadable3LType, VectorStorageIntegral2Type
The type of mutable 3D integral number vectors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setVector3I(Vector3I v)`
  Set the components from the given vector.
  `default void`
  `setVector3L(Vector3L v)`
  Set the components from the given vector.
  `default void`
  `setXYZ(long x, long y, long z)`
  Set the `x`, `y`, `z` components.
  `void`
  `setZ(long z)`
  Set the `z` component.

  ### Methods inherited from interface VectorReadable2LType

  `x, y`

  ### Methods inherited from interface VectorReadable3LType

  `z`

  ### Methods inherited from interface VectorStorageIntegral2Type

  `setVector2I, setVector2L, setX, setXY, setY`

- ## Method Details

  - ### setVector3L

    default void setVector3L(Vector3L v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setVector3I

    default void setVector3I(Vector3I v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setZ

    void setZ(long z)
    Set the `z` component.
    Parameters:
      `z` - The Z component

  - ### setXYZ

    default void setXYZ(long x, long y, long z)
    Set the `x`, `y`, `z` components.
    Parameters:
      `x` - The X component
      `y` - The Y component
      `z` - The Z component